<html>
<head>
<title>OGRE: Ogre::PlatformInformation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1PlatformInformation.html">PlatformInformation</a></div>
<h1>Ogre::PlatformInformation Class Reference</h1><!-- doxytag: class="Ogre::PlatformInformation" -->Class which provides the run-time platform information <a class="el" href="namespaceOgre.html">Ogre</a> runs on.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1PlatformInformation-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a807">CpuFeatures</a> { <a class="el" href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a8071bea16c1677fe68834a2d76b968562d7">CPU_FEATURE_NONE</a> =  0
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing the different CPU features we want to check for, platform-dependent.  <a href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a807">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#f3e5caa8ce423770f2685cbb8deb71e5">getCpuIdentifier</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a string of the CPU identifier.  <a href="#f3e5caa8ce423770f2685cbb8deb71e5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#ae9beb453c6df1f32ad9949536a3f40f">getCpuFeatures</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a or-masked of enum CpuFeatures that are supported by the CPU.  <a href="#ae9beb453c6df1f32ad9949536a3f40f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#b397833e2f858920d32be590c714336a">hasCpuFeature</a> (<a class="el" href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a807">CpuFeatures</a> feature)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether a specific feature is supported by the CPU.  <a href="#b397833e2f858920d32be590c714336a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html#e04f524bd9f4e399eeb5307a39ab1f56">log</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *pLog)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Write the CPU information to the passed in <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a>.  <a href="#e04f524bd9f4e399eeb5307a39ab1f56"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class which provides the run-time platform information <a class="el" href="namespaceOgre.html">Ogre</a> runs on. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="namespaceOgre.html">Ogre</a> is designed to be platform-independent, but there some platform and run-time environment specific optimised functions are built-in for maximise performance, and those special optimised routines are need to determine run-time environment for select variant executing path. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This class manages that provides a couple of functions to determine platform information of the run-time environment. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This class is supposed to use by advanced user only. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00114">114</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="f7f9306631264031789d89af0642a807"></a><!-- doxytag: member="Ogre::PlatformInformation::CpuFeatures" ref="f7f9306631264031789d89af0642a807" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a807">Ogre::PlatformInformation::CpuFeatures</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Enum describing the different CPU features we want to check for, platform-dependent. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="f7f9306631264031789d89af0642a8071bea16c1677fe68834a2d76b968562d7"></a><!-- doxytag: member="CPU_FEATURE_NONE" ref="f7f9306631264031789d89af0642a8071bea16c1677fe68834a2d76b968562d7" args="" -->CPU_FEATURE_NONE</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h-source.html#l00119">119</a> of file <a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="f3e5caa8ce423770f2685cbb8deb71e5"></a><!-- doxytag: member="Ogre::PlatformInformation::getCpuIdentifier" ref="f3e5caa8ce423770f2685cbb8deb71e5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::PlatformInformation::getCpuIdentifier           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a string of the CPU identifier. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ae9beb453c6df1f32ad9949536a3f40f"></a><!-- doxytag: member="Ogre::PlatformInformation::getCpuFeatures" ref="ae9beb453c6df1f32ad9949536a3f40f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> Ogre::PlatformInformation::getCpuFeatures           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a or-masked of enum CpuFeatures that are supported by the CPU. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value. </dd></dl>

</div>
</div><p>
<a class="anchor" name="b397833e2f858920d32be590c714336a"></a><!-- doxytag: member="Ogre::PlatformInformation::hasCpuFeature" ref="b397833e2f858920d32be590c714336a" args="(CpuFeatures feature)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::PlatformInformation::hasCpuFeature           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a807">CpuFeatures</a>&nbsp;</td>
          <td class="paramname"> <em>feature</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether a specific feature is supported by the CPU. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e04f524bd9f4e399eeb5307a39ab1f56"></a><!-- doxytag: member="Ogre::PlatformInformation::log" ref="e04f524bd9f4e399eeb5307a39ab1f56" args="(Log *pLog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::PlatformInformation::log           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td>
          <td class="paramname"> <em>pLog</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Write the CPU information to the passed in <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a>. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePlatformInformation_8h-source.html">OgrePlatformInformation.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:48 2008
</p>
</body>
</html>
